# typed: strict
# frozen_string_literal: true

module Stats
  class LinearAxis < Axis
    sig { override.params(value: Float).returns(Float) }
    def normalize(value)
      (value - min) / scale
    end

    sig { override.params(value: Float).returns(Float) }
    def denormalize(value)
      value * scale + min
    end
  end
end
